#!/bin/bash
# digitec-sugarcrm-web Copyright (c) by DIGITEC GmbH 2012

instance=$1
if [ -z "$instance" ]; then
  instance=default
fi

INSTANCES=$(/usr/sbin/ucr search  --key sugarcrm/instance |grep database  |cut -d/ -f3 |sort -u)
SUGAR_DB=$(/usr/sbin/ucr get sugarcrm/instance/$instance/database)
rm /usr/lib/univention-directory-listener/system/sugarcrm-$instance.py
if [ -z "$SUGAR_DB" ] ; then
   echo DATABASE name not found in UCR sugarcrm/instance/$instance/database
   exit 1
fi
SUGAR_PATH=$(/usr/sbin/ucr get sugarcrm/instance/$instance/path)
if [ -z "$SUGAR_PATH" ]; then
    SUGAR_PATH=/var/www/$SUGAR_DB
fi

ucr unset ucs/web/overview/entries/service/sugarcrm-$instance/description/de
ucr unset ucs/web/overview/entries/service/sugarcrm-$instance/description
ucr unset ucs/web/overview/entries/service/sugarcrm-$instance/icon
ucr unset ucs/web/overview/entries/service/sugarcrm-$instance/label/de
ucr unset ucs/web/overview/entries/service/sugarcrm-$instance/label
ucr unset ucs/web/overview/entries/service/sugarcrm-$instance/link
rm -rf $SUGAR_PATH
mysql -udebian-sys-maint -p$(grep password /etc/mysql/debian.cnf  |head -1  |sed -e 's/.*= //')  <<EOF
USE mysql;
DELETE FROM db WHERE db="${SUGAR_DB}";
FLUSH PRIVILEGES;
DROP DATABASE IF EXISTS ${SUGAR_DB};
EOF

############################################################################################################

if [ "$instance" == "$INSTANCES" ]; then
 echo deleted last sugarcrm instance
 rm -f /etc/sugarcrm/db.secret
 rm -f /etc/sugarcrm/ucsadmin.secret
 mysql -udebian-sys-maint -p$(grep password /etc/mysql/debian.cnf  |head -1  |sed -e 's/.*= //')  <<EOF
USE mysql;
DELETE FROM user WHERE user="sugarcrm";
FLUSH PRIVILEGES;
EOF
 a2dissite sugarcrm
 /etc/init.d/apache2 reload
fi

